ALTER
SYSTEM
SELECT
SET
FROM
TABLE
ORDER
WHERE
SHOW
STARTUP
PARAMETER
SHUTDOWN
IMMEDIATE
scope=spfile
purge
dba_recyclebin
lock_name_space
create
restore
point
guarantee
flashback
database

processes
sessions
timed_statistics
timed_os_statistics
resource_limit
license_max_sessions
license_sessions_warning
long_module_action
standby_db_preserve_states
instance_abort_delay_time
cpu_count
cpu_min_count
instance_groups
event
sga_max_size
use_large_pages
pre_page_sga
shared_memory_address
hi_shared_memory_address
lock_sga
processor_group_name
allow_group_access_to_sga
sga_min_size
shared_pool_size
large_pool_size
java_pool_size
streams_pool_size
shared_pool_reserved_size
java_soft_sessionspace_limit
java_max_sessionspace_size
pga_aggregate_limit
spfile
instance_type
uniform_log_timestamp_format
nls_language
nls_territory
nls_sort
nls_date_language
nls_date_format
nls_currency
nls_numeric_characters
nls_iso_currency
nls_calendar
nls_time_format
nls_timestamp_format
nls_time_tz_format
nls_timestamp_tz_format
nls_dual_currency
nls_comp
nls_length_semantics
nls_nchar_conv_excp
disk_asynch_io
tape_asynch_io
dbwr_io_slaves
backup_tape_io_slaves
fileio_network_adapters
filesystemio_options
dnfs_batch_size
clonedb
instant_restore
http_proxy
ssl_wallet
ofs_threads
resource_manager_cpu_allocation
resource_manager_plan
db_performance_profile
max_iops
max_mbps
max_idle_time
max_idle_blocker_time
ignore_session_set_param_errors
cluster_interconnects
file_mapping
max_datapump_jobs_per_pdb
max_datapump_parallel_per_job
service_names
threaded_execution
clonedb_dir
enable_dnfs_dispatcher
gcs_server_processes
active_instance_count
instance_mode
sga_target
memory_target
memory_max_target
control_files
db_file_name_convert
log_file_name_convert
control_file_record_keep_time
db_block_buffers
db_block_checksum
db_ultra_safe
db_block_size
db_cache_size
db_2k_cache_size
db_4k_cache_size
db_8k_cache_size
db_16k_cache_size
db_32k_cache_size
db_keep_cache_size
db_recycle_cache_size
memoptimize_pool_size
db_big_table_cache_percent_target
encrypt_new_tablespaces
db_writer_processes
buffer_pool_keep
buffer_pool_recycle
db_flash_cache_file
db_flash_cache_size
db_cache_advice
compatible
log_archive_dest_1
log_archive_dest_2
log_archive_dest_3
log_archive_dest_4
log_archive_dest_5
log_archive_dest_6
log_archive_dest_7
log_archive_dest_8
log_archive_dest_9
log_archive_dest_10
log_archive_dest_11
log_archive_dest_12
log_archive_dest_13
log_archive_dest_14
log_archive_dest_15
log_archive_dest_16
log_archive_dest_17
log_archive_dest_18
log_archive_dest_19
log_archive_dest_20
log_archive_dest_21
log_archive_dest_22
log_archive_dest_23
log_archive_dest_24
log_archive_dest_25
log_archive_dest_26
log_archive_dest_27
log_archive_dest_28
log_archive_dest_29
log_archive_dest_30
log_archive_dest_31
log_archive_dest_state_1
log_archive_dest_state_2
log_archive_dest_state_3
log_archive_dest_state_4
log_archive_dest_state_5
log_archive_dest_state_6
log_archive_dest_state_7
log_archive_dest_state_8
log_archive_dest_state_9
log_archive_dest_state_10
log_archive_dest_state_11
log_archive_dest_state_12
log_archive_dest_state_13
log_archive_dest_state_14
log_archive_dest_state_15
log_archive_dest_state_16
log_archive_dest_state_17
log_archive_dest_state_18
log_archive_dest_state_19
log_archive_dest_state_20
log_archive_dest_state_21
log_archive_dest_state_22
log_archive_dest_state_23
log_archive_dest_state_24
log_archive_dest_state_25
log_archive_dest_state_26
log_archive_dest_state_27
log_archive_dest_state_28
log_archive_dest_state_29
log_archive_dest_state_30
log_archive_dest_state_31
log_archive_start
log_archive_dest
log_archive_duplex_dest
log_archive_min_succeed_dest
fal_client
fal_server
log_archive_trace
data_guard_sync_latency
log_archive_config
log_archive_format
data_guard_max_io_time
data_guard_max_longio_time
redo_transport_user
log_archive_max_processes
log_buffer
log_checkpoint_interval
log_checkpoint_timeout
archive_lag_target
db_files
db_file_multiblock_read_count
read_only_open_delayed
cluster_database
cluster_database_instances
db_create_file_dest
db_create_online_log_dest_1
db_create_online_log_dest_2
db_create_online_log_dest_3
db_create_online_log_dest_4
db_create_online_log_dest_5
db_recovery_file_dest
db_recovery_file_dest_size
standby_file_management
db_unrecoverable_scn_tracking
thread
enabled_PDBs_on_standby
fast_start_io_target
fast_start_mttr_target
log_checkpoints_to_alert
db_lost_write_protect
recovery_parallelism
enable_goldengate_replication
inmemory_adg_enabled
db_flashback_retention_target
data_transfer_cache_size
enable_imc_with_mira
adg_account_info_tracking
adg_redirect_dml
dml_locks
replication_dependency_tracking
transactions
transactions_per_rollback_segment
temp_undo_enabled
rollback_segments
undo_management
undo_tablespace
undo_retention
fast_start_parallel_rollback
resumable_timeout
instance_number
heat_map
inmemory_size
inmemory_xmem_size
inmemory_prefer_xmem_memcompress
inmemory_prefer_xmem_priority
allow_rowid_column_type
db_block_checking
recyclebin
db_index_compression_inheritance
db_securefile
inmemory_clause_default
inmemory_force
inmemory_query
inmemory_expressions_usage
inmemory_virtual_columns
inmemory_max_populate_servers
inmemory_trickle_repopulate_servers_percent
inmemory_optimized_arithmetic
inmemory_automatic_level
create_stored_outlines
serial_reuse
ldap_directory_access
ldap_directory_sysauth
os_roles
rdbms_server_dn
remote_os_authent
remote_os_roles
sec_case_sensitive_logon
remote_login_passwordfile
license_max_users
audit_sys_operations
DBFIPS_140
one_step_plugin_for_pdb_with_tde
external_keystore_credential_location
unified_audit_sga_queue_size
wallet_root
tde_configuration
db_domain
global_names
distributed_lock_timeout
commit_point_strength
global_txn_processes
instance_name
dispatchers
shared_servers
max_shared_servers
max_dispatchers
circuits
shared_server_sessions
use_dedicated_broker
connection_brokers
local_listener
forward_listener
remote_listener
listener_networks
cursor_space_for_time
session_cached_cursors
remote_dependencies_mode
smtp_out_server
plsql_v2_compatibility
plsql_warnings
plsql_code_type
plsql_debug
plsql_optimize_level
plsql_ccflags
plscope_settings
permit_92_wrap_format
java_jit_enabled
java_restrict
job_queue_processes
scheduler_follow_pdbtz
parallel_min_percent
create_bitmap_area_size
bitmap_merge_area_size
cursor_sharing
result_cache_mode
parallel_min_servers
parallel_max_servers
parallel_instance_group
parallel_execution_message_size
hash_area_size
private_temp_table_prefix
result_cache_max_size
result_cache_max_result
result_cache_remote_expiration
shadow_core_dump
background_core_dump
background_dump_dest
user_dump_dest
core_dump_dest
audit_file_dest
audit_syslog_level
unified_audit_systemlog
unified_audit_common_systemlog
resource_manage_goldengate
object_cache_optimal_size
object_cache_max_size_percent
lob_signature_enable
session_max_open_files
open_links
open_links_per_instance
commit_write
commit_wait
commit_logging
optimizer_features_enable
fixed_date
audit_trail
sort_area_size
sort_area_retained_size
cell_offload_processing
cell_offload_decryption
cell_offload_parameters
cell_offload_compaction
cell_offload_plan_display
db_name
db_unique_name
open_cursors
ifile
sql_trace
os_authent_prefix
optimizer_mode
sql92_security
blank_trimming
star_transformation_enabled
parallel_degree_policy
parallel_adaptive_multi_user
parallel_threads_per_cpu
optimizer_index_cost_adj
optimizer_index_caching
query_rewrite_enabled
query_rewrite_integrity
pga_aggregate_target
workarea_size_policy
optimizer_dynamic_sampling
statistics_level
cursor_bind_capture_destination
skip_unusable_indexes
optimizer_ignore_hints
optimizer_secure_view_merging
ddl_lock_timeout
deferred_segment_creation
optimizer_use_pending_statistics
optimizer_capture_sql_plan_baselines
optimizer_use_sql_plan_baselines
parallel_min_time_threshold
parallel_degree_limit
parallel_force_local
optimizer_use_invisible_indexes
dst_upgrade_insert_conv
parallel_servers_target
max_string_size
optimizer_adaptive_reporting_only
optimizer_adaptive_plans
optimizer_inmemory_aware
cursor_invalidation
approx_for_aggregation
approx_for_count_distinct
approx_for_percentile
optimizer_adaptive_statistics
optimizer_ignore_parallel_hints
parallel_min_degree
sec_protocol_error_trace_action
sec_protocol_error_further_action
sec_max_failed_login_attempts
sec_return_server_release_banner
enable_ddl_logging
client_result_cache_size
client_result_cache_lag
outbound_dblink_protocols
allow_global_dblinks
client_statistics_level
aq_tm_processes
hs_autoregister
xml_db_events
dg_broker_start
dg_broker_config_file1
dg_broker_config_file2
olap_page_pool_size
asm_diskstring
asm_preferred_read_failure_groups
control_management_pack_access
awr_pdb_autoflush_enabled
awr_pdb_max_parallel_slaves
awr_snapshot_time_offset
sqltune_category
autotask_max_active_pdbs
enable_automatic_maintenance_pdb
spatial_vector_acceleration
diagnostic_dest
tracefile_identifier
max_dump_file_size
trace_enabled
cell_offloadgroup_name
enable_pluggable_database
pdb_os_credential
pdb_file_name_convert
noncdb_compatible
common_user_prefix
target_pdbs
max_pdbs
cdb_cluster
cdb_cluster_name
standby_pdb_source_file_directory
standby_pdb_source_file_dblink
remote_recovery_file_dest
disable_pdb_feature
containers_parallel_degree
default_sharing
pdb_lockdown
pdb_template
shrd_dupl_table_refresh_rate
multishard_query_data_consistency
multishard_query_partial_results